Bug 1010250 - Enable default options for non-seat0 seats (get rid of systemd-multi-seat-x wrapper)
Enable default options for non-seat0 seats (get rid of systemd-multi-seat-x w...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
22
All Linux
unspecified Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 07:28 EDT by Laercio de Sousa
Modified: 2016-07-19 16:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:02:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Enable default options for non-seat0 seats. (1.31 KB, patch)
2013-09-20 07:28 EDT, Laercio de Sousa
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 69477 None None None Never
FreeDesktop.org 69478 None None None Never

  None (edit)
Description Laercio de Sousa 2013-09-20 07:28:16 EDT
Created attachment 800452 [details]
Enable default options for non-seat0 seats.

Description of problem:

This patch contributes to fill the remaining gaps in X.Org which still make systemd-multi-seat-x wrapper needed for some multiseat setups.

When "-seat" option is passed to Xorg with an argument other than "seat0", the following options are enabled by default:

* Disable VT switching --- no need of setting Option "DontVTSwitch" in xorg.conf's "ServerFlags" section.

* Enable VT sharing --- no need of passing option -sharevts to Xorg command line.

* Enable option "GrabDevice" for input drivers (e.g. evdev) --- no need of setting this option in xorg.conf's "InputClass" section.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Related upstream bugs:

https://bugs.freedesktop.org/show_bug.cgi?id=69477
https://bugs.freedesktop.org/show_bug.cgi?id=69478
Comment 1 Laercio de Sousa 2013-10-10 16:00:27 EDT
The portion of this patch that enables "GrabDevice" by default for non-seat0 seats was already merged upstream. Bug freedesktop#69478 is now fixed.

http://cgit.freedesktop.org/xorg/xserver/commit/?id=c73c36b537f996574628e69681833ea37dec2b6e
Comment 2 Jaroslav Reznik 2015-03-03 10:05:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora End Of Life 2016-07-19 16:02:56 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.